### File

`packages/components/layout/eui-app/eui-app-sidebar/sidebar-menu/sidebar-menu.component.ts`

### Implements

`OnInit` `AfterViewInit` `OnChanges` `OnDestroy`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-app-sidebar-menu`
imports | `AsyncPipe` `EUI_MENU`
templateUrl | `./sidebar-menu.component.html`

### Index

###### Properties
asService class Optional menu
###### Methods
Public onMenuItemClicked Public onSidebarItemToggled
###### Inputs
expandAllItems hasBoldRootLevel hasCollapsedInitials hasFilter hasIcons hasIconsLabels hasScrollToItem hasTooltip hasTooltipOnExpanded isCollapsed isFlat items
###### Outputs
sidebarItemClick sidebarItemToggle
###### HostBindings
class

### Constructor

`constructor()`

### Inputs

expandAllItems
Type : `boolean`
Default value : `false`

hasBoldRootLevel
Type : `boolean`
Default value : `false`

hasCollapsedInitials
Type : `boolean`
Default value : `false`

hasFilter
Type : `boolean`
Default value : `false`

hasIcons
Type : `boolean`
Default value : `false`

hasIconsLabels
Type : `boolean`
Default value : `false`

hasScrollToItem
Type : `boolean`
Default value : `false`

hasTooltip
Type : `boolean`
Default value : `true`

hasTooltipOnExpanded
Type : `boolean`
Default value : `false`

isCollapsed
Type : `boolean`
Default value : `false`

isFlat
Type : `boolean`
Default value : `false`

items
Type : `Items[]`

### Outputs

sidebarItemClick
Type : `EventEmitter`

sidebarItemToggle
Type : `EventEmitter`

### HostBindings

class
Type : `string`
Default value : `'eui-app-sidebar-menu'`

### Methods

Public onMenuItemClicked
`onMenuItemClicked(event: EuiMenuItem)`
Parameters :
Name | Type | Optional
event | `EuiMenuItem` | No
Returns : `void`

Public onSidebarItemToggled
`onSidebarItemToggled(event: EuiMenuItem)`
Parameters :
Name | Type | Optional
event | `EuiMenuItem` | No
Returns : `void`

### Properties

asService
Default value : `inject(EuiAppShellService)`

class
Type : `string`
Default value : `'eui-app-sidebar-menu'`
Decorators : `@HostBinding()`

Optional menu
Type : `EuiMenuComponent`
Decorators : `@ViewChild('menu', {static: false})`

# results matching ""

# No results matching ""